## ros-melodic-image-geometry 1.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(image_geometry)

find_package(catkin REQUIRED sensor_msgs)
find_package(OpenCV REQUIRED)

catkin_package(CATKIN_DEPENDS sensor_msgs
               DEPENDS OpenCV
               INCLUDE_DIRS include
               LIBRARIES ${PROJECT_NAME}
)

catkin_python_setup()

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# add a library
add_library(${PROJECT_NAME} src/pinhole_camera_model.cpp src/stereo_camera_model.cpp)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
)

# install library
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# add tests
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

## ros-melodic-image-geometry 1.13.0

=== debian/changelog ===
ros-melodic-image-geometry (1.13.0-0stretch) stretch; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 22:00:00 -0000

ros-melodic-image-geometry (1.12.8-0stretch) stretch; urgency=high

  * Merge pull request #189 <https://github.com/ros-perception/vision_opencv/issues/189> from ros2/python3_support_in_test
    python 3 compatibility in test
  * python 3 compatibility in test
  * fix doc job
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-melodic-image-geometry (1.12.7-0stretch) stretch; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 23:00:00 -0000

ros-melodic-image-geometry (1.12.6-0stretch) stretch; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 23:00:00 -0000

ros-melodic-image-geometry (1.12.5-0stretch) stretch; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-melodic-image-geometry (1.12.4-0stretch) stretch; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 23:00:00 -0000

ros-melodic-image-geometry (1.12.3-0stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 23:00:00 -0000

ros-melodic-image-geometry (1.12.2-0stretch) stretch; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-image-geometry (1.12.1-0stretch) stretch; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-melodic-image-geometry (1.12.0-0stretch) stretch; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 17 Mar 2016 23:00:00 -0000

ros-melodic-image-geometry (1.11.12-0stretch) stretch; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 23:00:00 -0000

ros-melodic-image-geometry (1.11.11-0stretch) stretch; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 23:00:00 -0000

ros-melodic-image-geometry (1.11.10-0stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 23:00:00 -0000

ros-melodic-image-geometry (1.11.9-0stretch) stretch; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Nov 2015 23:00:00 -0000

ros-melodic-image-geometry (1.11.8-0stretch) stretch; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jul 2015 22:00:00 -0000

ros-melodic-image-geometry (1.11.7-0stretch) stretch; urgency=high

  * Merge pull request #53 <https://github.com/ros-perception/vision_opencv/issues/53> from carnegieroboticsllc/patch-1
    Update stereo_camera_model.cpp
  * Updated inline math for reprojecting a single disparity
  * Update stereo_camera_model.cpp
    Correct slight error in the Q matrix derivation
  * Updated Q matrix to account for cameras with different Fx and Fy values
  * Contributors: Carnegie Robotics LLC, Matt Alvarado, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 13 Dec 2014 23:00:00 -0000

ros-melodic-image-geometry (1.11.6-0stretch) stretch; urgency=high

  * Fixes in image_geometry for Python cv2 API
  * Fixed typo: np -> numpy
  * Added missing tfFrame method to Python PinholeCameraModel.
  * Removed trailing whitespace.
  * Contributors: Daniel Maturana

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 15 Nov 2014 23:00:00 -0000

ros-melodic-image-geometry (1.11.5-0stretch) stretch; urgency=high

  * get code to work with OpenCV3


=== debian/control ===
Source: ros-melodic-image-geometry
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-melodic-catkin, ros-melodic-sensor-msgs
Homepage: http://www.ros.org/wiki/image_geometry
Standards-Version: 3.9.2

Package: ros-melodic-image-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-melodic-sensor-msgs
Description: `image_geometry` contains C++ and Python libraries for interpreting images geometrically.
 It interfaces the calibration parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with OpenCV data types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-image-geometry//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-image-geometry 1.13.1

=== debian/changelog ===
ros-melodic-image-geometry (1.13.1-1bionic) bionic; urgency=high

  * Update CMakeLists.txt for Windows build environment (#265 <https://github.com/ros-perception/vision_opencv/issues/265>)
  * Windows bringup
  * Correct binary locations for shared libraries.
  * Fix build break.
  * Fix cv_bridge_boost.pyd.
  * remove hard-coded STATIC (#3 <https://github.com/ros-perception/vision_opencv/issues/3>)
  * remove WINDOWS_EXPORT_ALL_SYMBOLS property (#4 <https://github.com/ros-perception/vision_opencv/issues/4>)
  * add DLL import/export macros (#266 <https://github.com/ros-perception/vision_opencv/issues/266>)
  * update macro names (#2 <https://github.com/ros-perception/vision_opencv/issues/2>)
  * add exports.h and dll import/export macros
  * Contributors: James Xu

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 02 Oct 2022 15:00:00 -0000

ros-melodic-image-geometry (1.13.0-1bionic) bionic; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 15:00:00 -0000

ros-melodic-image-geometry (1.12.8-1bionic) bionic; urgency=high

  * Merge pull request #189 <https://github.com/ros-perception/vision_opencv/issues/189> from ros2/python3_support_in_test
    python 3 compatibility in test
  * python 3 compatibility in test
  * fix doc job
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-image-geometry (1.12.7-1bionic) bionic; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.6-1bionic) bionic; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.5-1bionic) bionic; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.4-1bionic) bionic; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 15:00:00 -0000

ros-melodic-image-geometry (1.12.3-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 15:00:00 -0000

ros-melodic-image-geometry (1.12.2-1bionic) bionic; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 15:00:00 -0000

ros-melodic-image-geometry (1.12.1-1bionic) bionic; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 10 Jul 2016 15:00:00 -0000

ros-melodic-image-geometry (1.12.0-1bionic) bionic; urgency=high

  * depend on OpenCV3 only
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 17 Mar 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.12-1bionic) bionic; urgency=high

  * issue #117 <https://github.com/ros-perception/vision_opencv/issues/117> pull request #118 <https://github.com/ros-perception/vision_opencv/issues/118> check all distortion coefficients to see if rectification ought to be done
  * Contributors: Lucas Walter

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 Mar 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.11-1bionic) bionic; urgency=high

  * clean up the doc files
  * fix a few warnings in doc jobs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Jan 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.10-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Jan 2016 15:00:00 -0000

ros-melodic-image-geometry (1.11.9-1bionic) bionic; urgency=high

  * add a condition if D=None
  * fix compilation warnings
  * Contributors: Vincent Rabaud, YuOhara

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Nov 2015 15:00:00 -0000

ros-melodic-image-geometry (1.11.8-1bionic) bionic; urgency=high

  * fixes #62 <https://github.com/ros-perception/vision_opencv/issues/62>, bug in Python rectifyPoint old opencv1 API
  * Simplify some OpenCV3 distinction
  * Contributors: Basheer Subei, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jul 2015 15:00:00 -0000

ros-melodic-image-geometry (1.11.7-1bionic) bionic; urgency=high

  * Merge pull request #53 <https://github.com/ros-perception/vision_opencv/issues/53> from carnegieroboticsllc/patch-1
    Update stereo_camera_model.cpp


=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-image-geometry
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-melodic-catkin, ros-melodic-sensor-msgs
 Homepage: http://www.ros.org/wiki/image_geometry

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
